using System.Collections;
using System;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;


namespace BigSock {

	/*
		Interface represents the stats of an attack.
	*/
	public interface IAttackStats {
		/*
			The damage of the attack.
		*/
		float Damage { get; }

		/*
			The knockback of the attack.
		*/
		float Knockback { get; }

		/*
			The range of the attack.
		*/
		float Range { get; }

		/*
			The attack speed of the attack.
		*/
		float AttackSpeed { get; }

		/*
			The source of the attack.
		*/
		Vector2 Source { get; }

	}
}