using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.InputSystem;
using static UnityEngine.GraphicsBuffer;

namespace BigSock {

	public class AttackMovement : MonoBehaviour
	{
		public float speed = 10.0f;
		bool moved = false;
		Vector3 direction;

		/*
			Damage of the character.
		*/
		public float Damage => baseDamage;
		public float baseDamage = 1;

		public float KnockbackForce => knockbackForce;
		public float knockbackForce = 1;


		// Start is called before the first frame update
		void Start()
		{
		}

		// Update is called once per frame
		void Update()
		{
			if (!moved)
			{
				var mouse = Camera.main.ScreenToWorldPoint(Input.mousePosition);
				var pos = transform.position;
				var temp = (mouse - pos);
				temp.z = 0;
				direction = temp.normalized;
				//print($"[AttackMovement.Update()] {mouse} - {pos} = {direction}");
				moved = true;
			}

			//transform.Translate(new Vector3(1 * horizontalInput, 1 * verticalInput, 0) * speed * Time.deltaTime);
			transform.Translate(direction * speed * Time.deltaTime);
				
		}
		
		
		void OnCollisionEnter2D(Collision2D collision)
		{
			print($"[AttackMovement.OnCollisionEnter2D()] {collision.transform.position}");
			var target = collision.gameObject.GetComponent<Character>();

			if(target != null) {

				var attack = new AttackStats{
					Damage = Damage,
					Knockback = KnockbackForce,
					//Range = 0,
					//AttackSpeed = AttackSpeed,
					Source = transform.position,
				};

				if(target.TakeDamage(attack)) {
					
				}
			} 
		}



	}
}